# Getestet mit Python 3.11.6 und PySide 6.5.3

import sys
import PySide6.QtWidgets as widgets
import PySide6.QtGui as gui
import PySide6.QtUiTools as uic
from MeinWidget import MeinWidget

app = widgets.QApplication(sys.argv)

loader = uic.QUiLoader()
# In der UI-Datei ist ein QWidget als Platzhalter für unser Widget eingetragen.
# Dazu im Qt Designer Mausklick rechts auf das Widget und als Klasse MeinWidget, als Header MeinWidget.h (!) angeben
loader.registerCustomWidget(MeinWidget)
w = uic.QUiLoader().load("gesten.ui")

f = open("mausgesten.csv", "w")

def move(event: gui.QMouseEvent) -> None:
    f.write(f"{event.position().x()};{event.position().y()}\n")

def release(event: gui.QMouseEvent) -> None:
    f.write("-1;-1\n")

w.widget.setHandlers(move, release)

w.show()
app.exec()

f.close()
sys.exit()